"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsMap = exports.IS_MAP = void 0;
const class_validator_1 = require("class-validator");
const is_map_predicate_1 = require("./is-map.predicate");
exports.IS_MAP = 'isMap';
function IsMap(options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.IS_MAP,
        validator: {
            validate: (value, _arguments) => (0, is_map_predicate_1.isMap)(value),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must be a Map instance`, options),
        },
    }, options);
}
exports.IsMap = IsMap;
//# sourceMappingURL=is-map.decorator.js.map