"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapContains = void 0;
const is_map_1 = require("../../map/is-map");
function mapContains(value, required) {
    if (!(0, is_map_1.isMap)(value)) {
        return false;
    }
    const values = new Set(value.values());
    return [...required].every(item => values.has(item));
}
exports.mapContains = mapContains;
//# sourceMappingURL=map-contains.predicate.js.map