"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapMaxSize = void 0;
const is_map_1 = require("../../map/is-map");
function mapMaxSize(value, maximum) {
    if (typeof maximum !== 'number' || !Number.isFinite(maximum)) {
        throw new TypeError('Parameter "maximum" must be a finite number');
    }
    return (0, is_map_1.isMap)(value) && value.size <= maximum;
}
exports.mapMaxSize = mapMaxSize;
//# sourceMappingURL=map-max-size.predicate.js.map