"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapNotContains = void 0;
const is_map_1 = require("../../map/is-map");
function mapNotContains(value, forbidden) {
    if (!(0, is_map_1.isMap)(value)) {
        return false;
    }
    const values = new Set(value.values());
    return [...forbidden].every(item => !values.has(item));
}
exports.mapNotContains = mapNotContains;
//# sourceMappingURL=map-not-contains.predicate.js.map