"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MapNotEmpty = exports.MAP_NOT_EMPTY = void 0;
const class_validator_1 = require("class-validator");
const map_not_empty_predicate_1 = require("./map-not-empty.predicate");
exports.MAP_NOT_EMPTY = 'mapNotEmpty';
function MapNotEmpty(options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.MAP_NOT_EMPTY,
        validator: {
            validate: (value, _arguments) => (0, map_not_empty_predicate_1.mapNotEmpty)(value),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property should not be an empty map`, options),
        },
    }, options);
}
exports.MapNotEmpty = MapNotEmpty;
//# sourceMappingURL=map-not-empty.decorator.js.map