"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MapUnique = exports.MAP_UNIQUE = void 0;
const class_validator_1 = require("class-validator");
const map_unique_predicate_1 = require("./map-unique.predicate");
exports.MAP_UNIQUE = 'mapUnique';
function MapUnique(projection, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.MAP_UNIQUE,
        validator: {
            validate: (value, _arguments) => (0, map_unique_predicate_1.mapUnique)(value, projection),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}all $property's values must be unique`, options),
        },
    }, options);
}
exports.MapUnique = MapUnique;
//# sourceMappingURL=map-unique.decorator.js.map