"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsSet = exports.IS_SET = void 0;
const class_validator_1 = require("class-validator");
const is_set_predicate_1 = require("./is-set.predicate");
exports.IS_SET = 'isSet';
function IsSet(options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.IS_SET,
        validator: {
            validate: (value, _arguments) => (0, is_set_predicate_1.isSet)(value),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must be a Set instance`, options),
        },
    }, options);
}
exports.IsSet = IsSet;
//# sourceMappingURL=is-set.decorator.js.map