"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetMinSize = exports.SET_MIN_SIZE = void 0;
const class_validator_1 = require("class-validator");
const set_min_size_predicate_1 = require("./set-min-size.predicate");
exports.SET_MIN_SIZE = 'setMinSize';
function SetMinSize(minimum, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.SET_MIN_SIZE,
        validator: {
            validate: (value, _arguments) => (0, set_min_size_predicate_1.setMinSize)(value, minimum),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must contain at least $constraint1 elements`, options),
        },
    }, options);
}
exports.SetMinSize = SetMinSize;
//# sourceMappingURL=set-min-size.decorator.js.map