"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetNotContains = exports.SET_NOT_CONTAINS = void 0;
const class_validator_1 = require("class-validator");
const set_not_contains_predicate_1 = require("./set-not-contains.predicate");
exports.SET_NOT_CONTAINS = 'setNotContains';
function SetNotContains(forbidden, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.SET_NOT_CONTAINS,
        validator: {
            validate: (value, _arguments) => (0, set_not_contains_predicate_1.setNotContains)(value, forbidden),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property should not contain $constraint1 values`, options),
        },
    }, options);
}
exports.SetNotContains = SetNotContains;
//# sourceMappingURL=set-not-contains.decorator.js.map