"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetUnique = exports.SET_UNIQUE = void 0;
const class_validator_1 = require("class-validator");
const set_unique_predicate_1 = require("./set-unique.predicate");
exports.SET_UNIQUE = 'setUnique';
function SetUnique(projection, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.SET_UNIQUE,
        validator: {
            validate: (value, _arguments) => (0, set_unique_predicate_1.setUnique)(value, projection),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}all $property's values must be unique`, options),
        },
    }, options);
}
exports.SetUnique = SetUnique;
//# sourceMappingURL=set-unique.decorator.js.map