"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsTimezone = exports.IS_TIMEZONE = void 0;
const class_validator_1 = require("class-validator");
const is_timezone_predicate_1 = require("./is-timezone.predicate");
exports.IS_TIMEZONE = 'isTimezone';
function IsTimezone(options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.IS_TIMEZONE,
        validator: {
            validate: (value, _arguments) => (0, is_timezone_predicate_1.isTimezone)(value),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must be a valid timezone string`, options),
        },
    }, options);
}
exports.IsTimezone = IsTimezone;
//# sourceMappingURL=is-timezone.decorator.js.map