"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FutureDate = exports.FUTURE_DATE = void 0;
const class_validator_1 = require("class-validator");
const future_date_predicate_1 = require("./future-date.predicate");
exports.FUTURE_DATE = 'futureDate';
function FutureDate(options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.FUTURE_DATE,
        validator: {
            validate: (value, _arguments) => (0, future_date_predicate_1.futureDate)(value),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must be a Date instance in the future`, options),
        },
    }, options);
}
exports.FutureDate = FutureDate;
//# sourceMappingURL=future-date.decorator.js.map