"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PastDate = exports.PAST_DATE = void 0;
const class_validator_1 = require("class-validator");
const past_date_predicate_1 = require("./past-date.predicate");
exports.PAST_DATE = 'pastDate';
function PastDate(options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.PAST_DATE,
        validator: {
            validate: (value, _arguments) => (0, past_date_predicate_1.pastDate)(value),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must be a Date instance in the past`, options),
        },
    }, options);
}
exports.PastDate = PastDate;
//# sourceMappingURL=past-date.decorator.js.map