"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FutureDayjs = exports.FUTURE_DAYJS = void 0;
const class_validator_1 = require("class-validator");
const future_dayjs_predicate_1 = require("./future-dayjs.predicate");
exports.FUTURE_DAYJS = 'futureDayjs';
function FutureDayjs(options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.FUTURE_DAYJS,
        validator: {
            validate: (value, _arguments) => (0, future_dayjs_predicate_1.futureDayjs)(value),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must be a Dayjs object in the future`, options),
        },
    }, options);
}
exports.FutureDayjs = FutureDayjs;
//# sourceMappingURL=future-dayjs.decorator.js.map