"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsDuration = exports.IS_DURATION = void 0;
const class_validator_1 = require("class-validator");
const is_duration_predicate_1 = require("./is-duration.predicate");
exports.IS_DURATION = 'isDuration';
function IsDuration(options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.IS_DURATION,
        validator: {
            validate: (value, _arguments) => (0, is_duration_predicate_1.isDuration)(value),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must be a Dayjs duration object`, options),
        },
    }, options);
}
exports.IsDuration = IsDuration;
//# sourceMappingURL=is-duration.decorator.js.map