"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MapContains = exports.MAP_CONTAINS = void 0;
const class_validator_1 = require("class-validator");
const map_contains_predicate_1 = require("./map-contains.predicate");
exports.MAP_CONTAINS = 'mapContains';
function MapContains(required, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.MAP_CONTAINS,
        validator: {
            validate: (value, _arguments) => (0, map_contains_predicate_1.mapContains)(value, required),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must contain $constraint1 values`, options),
        },
    }, options);
}
exports.MapContains = MapContains;
//# sourceMappingURL=map-contains.decorator.js.map