"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetContains = exports.SET_CONTAINS = void 0;
const class_validator_1 = require("class-validator");
const set_contains_predicate_1 = require("./set-contains.predicate");
exports.SET_CONTAINS = 'setContains';
function SetContains(required, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.SET_CONTAINS,
        validator: {
            validate: (value, _arguments) => (0, set_contains_predicate_1.setContains)(value, required),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must contain $constraint1 values`, options),
        },
    }, options);
}
exports.SetContains = SetContains;
//# sourceMappingURL=set-contains.decorator.js.map