"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetMaxSize = exports.SET_MAX_SIZE = void 0;
const class_validator_1 = require("class-validator");
const set_max_size_predicate_1 = require("./set-max-size.predicate");
exports.SET_MAX_SIZE = 'setMaxSize';
function SetMaxSize(maximum, options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.SET_MAX_SIZE,
        validator: {
            validate: (value, _arguments) => (0, set_max_size_predicate_1.setMaxSize)(value, maximum),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must contain not more than $constraint1 elements`, options),
        },
    }, options);
}
exports.SetMaxSize = SetMaxSize;
//# sourceMappingURL=set-max-size.decorator.js.map