"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setMaxSize = void 0;
const is_set_1 = require("../../set/is-set");
function setMaxSize(value, maximum) {
    if (typeof maximum !== 'number' || !Number.isFinite(maximum)) {
        throw new TypeError('Parameter "maximum" must be a finite number');
    }
    return (0, is_set_1.isSet)(value) && value.size <= maximum;
}
exports.setMaxSize = setMaxSize;
//# sourceMappingURL=set-max-size.predicate.js.map