"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsAwsARN = exports.IS_AWS_ARN = void 0;
const class_validator_1 = require("class-validator");
const is_aws_arn_predicate_1 = require("./is-aws-arn.predicate");
exports.IS_AWS_ARN = 'isAwsArn';
function IsAwsARN(options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.IS_AWS_ARN,
        validator: {
            validate: (value, _arguments) => (0, is_aws_arn_predicate_1.isAwsARN)(value),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must be an AWS ARN string`, options),
        },
    }, options);
}
exports.IsAwsARN = IsAwsARN;
//# sourceMappingURL=is-aws-arn.decorator.js.map