"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsAwsRegion = exports.IS_AWS_REGION = void 0;
const class_validator_1 = require("class-validator");
const is_aws_region_predicate_1 = require("./is-aws-region.predicate");
exports.IS_AWS_REGION = 'isAwsRegion';
function IsAwsRegion(options) {
    return (0, class_validator_1.ValidateBy)({
        name: exports.IS_AWS_REGION,
        validator: {
            validate: (value, _arguments) => (0, is_aws_region_predicate_1.isAwsRegion)(value),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must be an AWS region string`, options),
        },
    }, options);
}
exports.IsAwsRegion = IsAwsRegion;
//# sourceMappingURL=is-aws-region.decorator.js.map